import com.example.custom_track.OperationTrackingDTO
import com.example.custom_track.PassengerDataDTO
import com.google.gson.JsonObject
import okhttp3.ResponseBody
import retrofit2.Call
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.POST
import retrofit2.http.Path



data class ApiResponse(
    val success: Boolean,
    val message: String
)




interface ApiService {

    @GET("/resource/employee/hr/{employeeId}") // Send the employeeId as a path variable
    fun checkEmployeeId(@Path("employeeId") employeeId:String): Call<OperationTrackingDTO>
    @GET("/gis/gazetteer/passenger-info/{passportNumber}") // Send the employeeId as a path variable
    fun getPassengerInformation(@Path("passportNumber") passportNumber:String): Call<PassengerDataDTO>
}
