package com.example.custom_track

import android.content.Context
import android.graphics.Canvas
import android.graphics.Color
import android.graphics.Paint
import android.graphics.Rect
import android.util.AttributeSet
import android.view.View

class OverlayView @JvmOverloads constructor(
    context: Context, attrs: AttributeSet? = null
) : View(context, attrs) {

    private val paint = Paint().apply {
        color = Color.RED
        style = Paint.Style.STROKE
        strokeWidth = 5f
    }

    // Default bounding box, can be updated dynamically
    var boundingBox: Rect = Rect()

    override fun onDraw(canvas: Canvas) {
        super.onDraw(canvas)
        // Draw the bounding box on the canvas
        canvas.drawRect(boundingBox, paint)
    }

    // Method to update the bounding box dynamically (renamed to avoid conflict)
    fun updateBoundingBox(rect: Rect) {
        boundingBox = rect
        invalidate() // Trigger a re-draw of the view
    }
}
